<?php

require_once("../config/conexion.php");
require_once("../models/Sede.php");
require_once("../models/Permisos.php");
$sede = new Sede();

switch($_GET["op"]) {

    case "create":

        $datos = array(
            "nombre" => $_POST["name"],
            "ubicacion" => $_POST["address"]
        );

        $resultado = $sede->Crear($datos);

        header("Content-Type: application/json");
        echo json_encode($resultado);

        break;
    case "update":

        $datos = array(
            "id" => $_POST["sededbk"],
            "nombre" => $_POST["name"],
            "ubicacion" => $_POST["address"]
        );

        $resultado = $sede->Update($datos);

        header("Content-Type: application/json");
        echo json_encode($resultado);

        break;
    case "delete":

        $resultado = $sede->Delete($_GET["id"]);

        header("Content-Type: application/json");
        echo json_encode($resultado);

        break;

    case "show":

        $resultado = $sede->ShowById($_GET["id"]);

        foreach($resultado as $row)
        {
            $output["id"] = $row["sededbk"];
            $output["nombre"] = $row["nombre"];
            $output["ubicacion"] = $row["ubicacion"];
        }

        header("Content-Type: application/json");
        echo json_encode(array("data" => $output, "status" => "success"));

        break;
    case "table":

        $resultado = $sede->Listar();

        $data = array();

        foreach($resultado as $row)
        {
            $sub_array = array();
            $sub_array["id"] = $row["sededbk"];
            $sub_array["nombre"] = $row["nombre"];
            $sub_array["ubicacion"] = $row["ubicacion"];
            $sub_array["accion"] = '<button type="button" onClick="edit('.$row["sededbk"].');"  id="'.$row["sededbk"].'" class="btn btn-warning btn-sm update"><i class="fa fa-edit"></i></button> <button type="button" onClick="deleteSede('.$row["sededbk"].');"  id="'.$row["sededbk"].'" class="btn btn-danger btn-sm delete"><i class="fa fa-trash"></i></button>';

            $data[] = $sub_array;
        }

        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "data" => $data
        );

        header("Content-Type: application/json");
        echo json_encode($results);

        break;
}